'use strict';

var index = require('../../../node_modules/@codemirror/autocomplete/dist/index.js');
var index$1 = require('../../../node_modules/@codemirror/commands/dist/index.js');
var index$2 = require('../../../node_modules/@codemirror/language/dist/index.js');
var index$3 = require('../../../node_modules/@codemirror/state/dist/index.js');
var index$4 = require('../../../node_modules/@codemirror/view/dist/index.js');
var index$5 = require('../../../node_modules/@lezer/common/dist/index.js');
var highlight = require('@lezer/highlight');
var codemirrorBasicSetup = require('./codemirror-basic-setup.js');
var parserUtils = require('./parser-utils.js');
var suggestionUtils = require('./suggestion-utils.js');



exports.autocompletion = index.autocompletion;
exports.closeBrackets = index.closeBrackets;
exports.startCompletion = index.startCompletion;
exports.defaultKeymap = index$1.defaultKeymap;
exports.history = index$1.history;
exports.historyKeymap = index$1.historyKeymap;
exports.HighlightStyle = index$2.HighlightStyle;
exports.LRLanguage = index$2.LRLanguage;
exports.LanguageSupport = index$2.LanguageSupport;
exports.defaultHighlightStyle = index$2.defaultHighlightStyle;
exports.ensureSyntaxTree = index$2.ensureSyntaxTree;
exports.syntaxHighlighting = index$2.syntaxHighlighting;
exports.syntaxTree = index$2.syntaxTree;
exports.AnnotationType = index$3.AnnotationType;
exports.EditorState = index$3.EditorState;
exports.EditorView = index$4.EditorView;
exports.drawSelection = index$4.drawSelection;
exports.highlightSpecialChars = index$4.highlightSpecialChars;
exports.keymap = index$4.keymap;
exports.Tree = index$5.Tree;
Object.defineProperty(exports, "styleTags", {
  enumerable: true,
  get: function () { return highlight.styleTags; }
});
Object.defineProperty(exports, "tags", {
  enumerable: true,
  get: function () { return highlight.tags; }
});
exports.minimalSetup = codemirrorBasicSetup.minimalSetup;
exports.getNamedParentNode = parserUtils.getNamedParentNode;
exports.getNodeByName = parserUtils.getNodeByName;
exports.getPreviousNamedNode = parserUtils.getPreviousNamedNode;
exports.getPreviousNode = parserUtils.getPreviousNode;
exports.getValue = parserUtils.getValue;
exports.asNameSuggestion = suggestionUtils.asNameSuggestion;
exports.booleanJoinSuggestions = suggestionUtils.booleanJoinSuggestions;
exports.equalityOperators = suggestionUtils.equalityOperators;
exports.getNamePrompt = suggestionUtils.getNamePrompt;
exports.getRelationalOperators = suggestionUtils.getRelationalOperators;
exports.numericOperators = suggestionUtils.numericOperators;
exports.stringOperators = suggestionUtils.stringOperators;
exports.toSuggestions = suggestionUtils.toSuggestions;
//# sourceMappingURL=index.js.map
