'use strict';

var index$2 = require('../../../node_modules/@codemirror/autocomplete/dist/index.js');
var index$1 = require('../../../node_modules/@codemirror/commands/dist/index.js');
var index$3 = require('../../../node_modules/@codemirror/language/dist/index.js');
var index = require('../../../node_modules/@codemirror/view/dist/index.js');

const keyBindings = [
  ...index$1.defaultKeymap,
  ...index$1.historyKeymap
];
const minimalSetup = (() => [
  index.highlightSpecialChars(),
  index$1.history(),
  index.drawSelection(),
  index$2.closeBrackets(),
  index$3.syntaxHighlighting(index$3.defaultHighlightStyle, { fallback: true }),
  index.keymap.of(keyBindings)
])();

exports.minimalSetup = minimalSetup;
//# sourceMappingURL=codemirror-basic-setup.js.map
